<?php include "php/cabecera.inc";
	echo "<div><BR>";
	echo "<style>@media screen and (max-device-width:769px) {.product .desc p{font-size:30px;}}</style>";
	$lim=$st['PAGINACION'];
	
	ob_start("ob_gzhandler");
	
	if($_GET['CAT']){
		if(is_numeric($_GET['INI'])){
			$ini = $_GET['INI'];
		$consulta= "SELECT tabla_altaproducto. * , (SELECT SUM( tabla_inventario.CANTIDAD ) FROM tabla_inventario WHERE tabla_altaproducto.SKU = tabla_inventario.SKU AND tabla_inventario.CVE_CUENTA = tabla_altaproducto.CUENTA AND tabla_inventario.EDO_CALIDAD =  'D' AND STR_TO_DATE( tabla_inventario.CADUCIDAD,  '%Y/%m/%d' ) > CURDATE( ) ) AS EXISTENCIAS FROM tabla_altaproducto WHERE CUENTA=".$_GET['IDS']." AND FAMILIA='".$_GET['CAT']."' ORDER BY DESCRIPCION LIMIT ".$ini.",".$lim;}
		}else{
		$consulta= "SELECT tabla_altaproducto. * , (SELECT SUM( tabla_inventario.CANTIDAD ) FROM tabla_inventario WHERE tabla_altaproducto.SKU = tabla_inventario.SKU AND tabla_inventario.CVE_CUENTA = tabla_altaproducto.CUENTA AND tabla_inventario.EDO_CALIDAD =  'D' AND STR_TO_DATE( tabla_inventario.CADUCIDAD,  '%Y/%m/%d' ) > CURDATE( ) ) AS EXISTENCIAS FROM tabla_altaproducto WHERE CUENTA=".$_GET['IDS']." ORDER BY RAND() LIMIT 0,10";
	}
	echo "<center><h1 STYLE='COLOR:".$st['C-TEXTO2']."'>".$_GET['CAT']."</h1></center>";
	$conexion = mysqli_connect($serv,$dbu,$dbp,$db);
	mysqli_set_charset($conexion, "utf8");
	$resultado = mysqli_query($conexion, $consulta);
	
	if (-1*(!empty($resultado))){
		while($fila = mysqli_fetch_array($resultado)) {
			if($fila['EXISTENCIAS']>0){
				
				if($fila['IMAGEN']==NULL){$IMG="Default.png";}else{$IMG=$fila['IMAGEN'];}
				echo '<div class="product-holder"><div class="product"><SPAN class="tooltip"><img src="photo/'.$IMG.'" /><span><strong>'.$fila['DESCRIPCION'].'<br></strong><br>'.$fila['LEYENDA'].'</span></SPAN>';
				echo '<div class="desc"><p>'.$fila['DESCRIPCION'].'</p><p class="precio">$ '.$fila['COSTOECOM'].'</p>';
				echo "<select value='".$fila['SKU']."' name=cant class='combo' ID='ms".$fila['SKU']."' "; 
				for($i=0;$i<$_SESSION['contador'];$i++){
					if(($_SESSION['producto'][$i]) == $fila['SKU']){echo " disabled ";}
				}
				echo">";	
				$rd = intval($fila['EXISTENCIAS']);
				for($i=1; $i<$rd +1; $i++) {
					$selected = '';
					echo ('<option value="'.$i.'">'.$i.'</option>'."\n");
				}
				echo "</select><INPUT TYPE='HIDDEN' ID='COLOR-".$fila['SKU']."' VALUE='".$st['C-ENF2']."'><button value='".$fila['SKU']."' class='botoncompra' name='".$fila['SKU']."' ID='BOTONCOMPRA-".$fila['SKU']."'";
				for($i=0;$i<$_SESSION['contador'];$i++){
					if(($_SESSION['producto'][$i]) == $fila['SKU']){echo " disabled ";}
				}
				echo '>+</button><INPUT TYPE="HIDDEN" ID="DETALLE-'.$fila['SKU'].'" VALUE="'.$fila['DESCRIPCION'].'">';
				echo '<INPUT TYPE="HIDDEN" ID="NOMBREP-'.$fila['SKU'].'" VALUE="'.$fila['DESCRIPCION'].'">';
				echo'<BUTTON ID="detail" CLASS="det" title="Detalles" name="'.$fila['SKU'].'">?</BUTTON></div></div></div>';
			}}
			
	}else{echo "<CENTER><h3 style='color: ".$st['C-TEXTO']."';>Ocurrio un problema con la conexión a la base de datos.</h3></CENTER>";}
	
	if($_GET['INI']!=null){
		$cons = mysqli_query($conexion, "SELECT COUNT(ID) FROM tabla_altaproducto WHERE DEPTO = '".$_GET['CAT']."'");
		$n=mysqli_fetch_array($cons);
		
		$xd = $n['COUNT(ID)']/$lim;
		$parcial = floor($xd); 
		$frac = $xd - $parcial;
		$total=$parcial;
		if ($frac > 0){$total=$total+1;}
		
		echo "<div style='display:block;float:left;height:20px;width:100%;'><center>";
		
		for($i=0;$i<$total;$i++){
			$act = ($i * $lim);
			if($ini == $act){echo "<a class='counter' href='index.php?IDS=".$_GET['IDS']."&CAT=".$_GET['CAT']."&INI=".($i * $lim)."' style='text-decoration:underline;color: ".$st['C-TEXTO2'].";'>".($i+1)."</a>";}
			else{echo "<a class='counter' href='index.php?IDS=".$_GET['IDS']."&CAT=".$_GET['CAT']."&INI=".($i * $lim)."' style='color: ".$st['C-TEXTO2'].";'>".($i+1)."</a>";}
		}
		echo "</center></div>";
	}
	mysqli_close($conexion);
	
include "php/pie.inc" ?>